package cn.wisenergy.chnmuseum.party.model;

import io.swagger.annotations.ApiModelProperty;

import java.sql.Timestamp;

/**
 * <p>
 * 首页列表对象
 * </p>
 *
 * @author 杨建龙
 * @since 2018-10-08
 */
public class Index{

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("单据id")
    private String id;

    @ApiModelProperty("单据名称")
    private String name;

    @ApiModelProperty("创建人ID")
    private String creator;

    @ApiModelProperty("创建人名称")
    private String creatorName;

    @ApiModelProperty("创建时间")
    private Timestamp createTime;

    @ApiModelProperty("修改时间")
    private Timestamp updateTime;

    @ApiModelProperty("类型标记")
    private String type;

    @ApiModelProperty("单据类型")
    private String typeName;

    @ApiModelProperty("所属网点名称")
    private String branchName;

    @ApiModelProperty("所属网点ID")
    private String bankBranchId;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getCreator() {
        return creator;
    }

    public void setCreator(String creator) {
        this.creator = creator;
    }

    public String getCreatorName() {
        return creatorName;
    }

    public void setCreatorName(String creatorName) {
        this.creatorName = creatorName;
    }

    public Timestamp getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Timestamp createTime) {
        this.createTime = createTime;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getTypeName() {
        return typeName;
    }

    public void setTypeName(String typeName) {
        this.typeName = typeName;
    }

    public String getBranchName() {
        return branchName;
    }

    public void setBranchName(String branchName) {
        this.branchName = branchName;
    }

    public Timestamp getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Timestamp updateTime) {
        this.updateTime = updateTime;
    }

    public String getBankBranchId() {
        return bankBranchId;
    }

    public void setBankBranchId(String bankBranchId) {
        this.bankBranchId = bankBranchId;
    }

    public Index(String id, String name, String creator, String creatorName, Timestamp createTime, Timestamp updateTime, String type, String typeName, String branchName, String bankBranchId) {
        this.id = id;
        this.name = name;
        this.creator = creator;
        this.creatorName = creatorName;
        this.createTime = createTime;
        this.updateTime = updateTime;
        this.type = type;
        this.typeName = typeName;
        this.branchName = branchName;
        this.bankBranchId = bankBranchId;
    }

    @Override
    public String toString() {
        return "Index{" +
                "id='" + id + '\'' +
                ", name='" + name + '\'' +
                ", creator='" + creator + '\'' +
                ", creatorName='" + creatorName + '\'' +
                ", createTime=" + createTime +
                ", updateTime=" + updateTime +
                ", type='" + type + '\'' +
                ", typeName='" + typeName + '\'' +
                ", branchName='" + branchName + '\'' +
                ", bankBranchId='" + bankBranchId + '\'' +
                '}';
    }
}
