package cn.wisenergy.chnmuseum.party.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;

/**
 * <p>
 * 学习内容版权方
 * </p>
 *
 * @author Danny Lee
 * @since 2021-03-16
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("learning_content_copyright_owner")
@ApiModel(value = "LearningContentCopyrightOwner对象", description = "学习内容版权方")
public class LearningContentCopyrightOwner implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.ASSIGN_ID)
    private String id;

    @ApiModelProperty(value = "学习内容ID")
    @TableField("learning_content_id")
    private String learningContentId;

    @ApiModelProperty(value = "版权方ID")
    @TableField("copyright_owner_id")
    private String copyrightOwnerId;

}
